﻿using Hotline.Settings;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.CompilerServices;
using System.Text;
using System.Threading.Tasks;
using XF.Domain.Dependency;

namespace Hotline.Repository.SqlSugar
{
    public class SystemMenuRepository : BaseRepository<SystemMenu>, ISystemMenuRepository, IScopeDependency
    {
        public SystemMenuRepository(ISugarUnitOfWork<HotlineDbContext> uow) : base(uow)
        {
        }

        public async Task<IReadOnlyList<SystemMenu>> GetSystemMenus()
        {
            var list = await Db.Queryable<SystemMenu>()
                .OrderBy(x=>x.DisplayOrder)
                .Includes(t=>t.ButtonArr)
                .ToTreeAsync(x => x.children, it => it.ParentId, "");
            return list;
        }
    }
}
